updateEcholinkClock(data: UpdateEcholinkClockParams)

Requires:
@tuya-miniapp/cloud-api≥1.7.3

Description

Update a device alarm

Parameters

ParameterTypeRequiredDescription
YesPOST request body parameters, encapsulated by Highway and sent in the body

Return Value

Type: Promise<boolean>
Indicates whether the operation succeeded; the result may be false

Examples

Request example

import { updateEcholinkClock } from '@tuya-miniapp/cloud-api';

updateEcholinkClock({
  deviceId: '6c2d6c752e72653f12yvh1',
  time: '16:48',
  date: '20261012',
  loops: '0000000',
  timeZoneId: '+08:00',
  timeId: '88910119',
}).then(result => {
  console.log(result);
});

Response example

true